import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class ChaikinOscillatorIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    protected get_sk(): IndicatorCalculationStrategy;
    protected get sk(): IndicatorCalculationStrategy;
    protected get_sx(): Type;
    protected get sx(): Type;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    static readonly s6: DependencyProperty;
    protected ss(): number;
    get longPeriod(): number;
    set longPeriod(a: number);
    static readonly s5: DependencyProperty;
    protected sp(): number;
}
